Bug 132390

Summary: [GTK][GStreamer] Remove unnecessary GLIB_CHECK_VERSION #ifdefs
Product: WebKit Reporter: Víctor M. Jáquez L. <vjaquez>
Component: WebKitGTKAssignee: Víctor M. Jáquez L. <vjaquez>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, agomez, benjamin, calvaris, cgarcia, cmarcelo, commit-queue, eric.carlson, glenn, gustavo, jer.noble, menard, mrobinson, philipj, pnormand, sergio
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Víctor M. Jáquez L. 2014-04-30 11:06:55 PDT
Since EFL port use GLib 2.38 and GTK+, 2.33.2, I assume it is OK remove, in GTK+ and GST, the existing glib version guards.
Comment 1 Víctor M. Jáquez L. 2014-04-30 11:20:10 PDT
Created attachment 230499 [details]
Patch
Comment 2 Martin Robinson 2014-04-30 11:23:33 PDT
I think WinCairo uses the GStreamer backend currently, but is in the process of switching away.
Comment 3 Alex Christensen 2014-04-30 11:26:51 PDT
(In reply to comment #2)
> I think WinCairo uses the GStreamer backend currently, but is in the process of switching away.
I switched it away yesterday.
Comment 4 WebKit Commit Bot 2014-04-30 16:17:17 PDT
Comment on attachment 230499 [details]
Patch

Clearing flags on attachment: 230499

Committed r168059: <http://trac.webkit.org/changeset/168059>
Comment 5 WebKit Commit Bot 2014-04-30 16:17:23 PDT
All reviewed patches have been landed.  Closing bug.